Уязвимости в load_mixer_volumes() в ядре Linux

Дата публикации:
31.12.2010
Дата изменения:
03.01.2011
Всего просмотров:
1938
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:L/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:W/RC:C) = Base:6.9/Temporal:5.6
(AV:L/AC:M/Au:N/C:C/I:N/A:N/E:U/RL:W/RC:C) = Base:4.7/Temporal:3.8
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Раскрытие важных данных
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel 2.6.36.2, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют локальному пользователю повысить свои привилегии и получить доступ к важным данным.

1. Уязвимость существует из-за ошибки проверки границ данных в функции load_mixer_volumes() в файле sound/oss/soundcard.c. Локальный пользователь может с помощью специально сформированного SOUND_MIXER_SETLEVELS IOCTL запроса вызвать переполнение буфера и выполнить произвольный код на целевой системе в контексте ядра ОС.

2. Уязвимость существует из-за ошибки в функции load_mixer_volumes() в файле sound/oss/soundcard.c. Локальный пользователь может с помощью специально сформированного SOUND_MIXER_SETLEVELS IOCTL запроса получить доступ к определенным участкам памяти ядра.

Для успешной эксплуатации уязвимостей требуется, чтобы на системе использовался OSS, и злоумышленник имел доступ на запись к аудио устройству (например, был членом группы "audio").

URL производителя: www.kernel.org

Решение: Установите исправление из GIT репозитория производителя.

Ссылки: http://www.openwall.com/lists/oss-security/2010/12/31/1
http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-2.6.git;a=commitdiff;h=d81a12bc29ae4038770e05dce4ab7f26fd5880fb
Журнал изменений: 03.01.2011
Изменено описание уязвимости #2.

или введите имя

CAPTCHA